org.apache.maven.plugin.registry

## Interface MavenPluginRegistryBuilder

All Known Implementing Classes:
  DefaultPluginRegistryBuilder

    public interface MavenPluginRegistryBuilder

### Field Summary

Fields
`static java.lang.String` `ALT_GLOBAL_PLUGIN_REG_LOCATION`
`static java.lang.String` `ALT_USER_PLUGIN_REG_LOCATION`
`static java.lang.String` `ROLE`

### Method Summary

Methods
`PluginRegistry` `buildPluginRegistry()`
`PluginRegistry` `createUserPluginRegistry()`

### Field Detail

#### ROLE

    static final java.lang.String ROLE

#### ALT_USER_PLUGIN_REG_LOCATION

    static final java.lang.String ALT_USER_PLUGIN_REG_LOCATION

See Also:
  Constant Field Values

#### ALT_GLOBAL_PLUGIN_REG_LOCATION

    static final java.lang.String ALT_GLOBAL_PLUGIN_REG_LOCATION

See Also:
  Constant Field Values

### Method Detail

#### buildPluginRegistry

    PluginRegistry buildPluginRegistry()
                                       throws java.io.IOException,
                                              XmlPullParserException

Throws:
  `java.io.IOException`
  `XmlPullParserException`

#### createUserPluginRegistry

    PluginRegistry createUserPluginRegistry()